<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addpdns_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addpdns_theme(){

global $theme, $globals, $kernel, $user, $l, $cluster, $error, $done;

softheader($l['<title>']);

echo page_header($l['add_pdns'], 'icon icon-pdns', $globals['docs'].'configure-powerdns/', 0, 0, '');

$breadcrumbs = array('dashboard', 'lm_pdns', 'lms_addpdns');

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
	//echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '..'</div>';
}

echo '
<div id="form-container" class="card p-2 mx-3">
	<form accept-charset="'.$globals['charset'].'" class="form-horizontal" name="addpdns" method="post" action="" class="form-horizontal">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_name'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="name" value="'.POSTval('name', '').'" size="30">
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['descr'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_descr'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
			</div>
			<div class="col-sm-4">
				<textarea rows="5" cols="50" class="form-control" name="descr" value="'.POSTval('descr', '').'" ></textarea>
				<span class="help-block"></span>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['ipaddress'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_ipaddress'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="ipaddress" value="'.POSTval('ipaddress', '').'" size="30">
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['sql_port'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_sql_port'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
			</div>
			<div class="col-sm-4">
				<input type="number" min="0" class="form-control" name="sqlport" value="'.POSTval('sqlport', '').'" size="30">
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4">
					<label class="control-label">'.$l['sql_username'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_sql_username'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				</div>
				<div class="col-sm-4">
					<input type="text" class="form-control" name="sqlusername" value="'.POSTval('sqlusername', '').'" size="30">
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4">
					<label class="control-label">'.$l['sql_password'].'</label><br>
				</div>
				<div class="col-sm-4">
					<input type="password" class="form-control" name="sqlpassword" value="'.POSTval('sqlpassword', '').'" size="30">
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-4">
					<label class="control-label">'.$l['encrypt_sql_pass'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_encrypt_sql_pass'].'"><i class="fas text-primary fa-info-circle"></i></a></label>\
				</div>
				<div class="col-4 d-inline-flex">
					'.get_checkbox('encrypt_sql_pass').'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4">
					<label class="control-label">'.$l['sql_db'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_sql_db'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				</div>
				<div class="col-sm-4">
					<input type="text" class="form-control" name="sqldb" value="'.POSTval('sqldb', 'powerdns').'" size="30">
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-4">
					<label class="control-label">'.$l['use_ssl'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_use_ssl'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-4 d-inline-flex">
					'.get_checkbox('use_ssl').'
				</div>
			</div>
		</div>
		<br/><br/>
		<div class="text-center my-3">
			<input type="submit" value="'.$l['sub_but'].'" class="go_btn" name="addpdns"/>
		</div>
	</form>
</div>';

softfooter();

}

?>